会员登录 还没有账号? 立即注册

WordPress网站定制开发专家
成为WPYOU会员, 享受更多专属优惠吧!

成为WPYOU联盟推广代理,获取高比例的推广佣金分成

立即加入

WordPress出现Warning: Cannot modify header information的解决方法

在安装WordPress插件或主题时,有时会出现“Warning: Cannot modify header information”的错误。这很可能是由于插件或者主题编码写的不够规范从而导致的。

在header()等函数之前,是不可以输出任何内容的,空行也不可以。出现这个提示说明你在该类函数之前输出了某些东西,把这些东西放到header()等函数后面就可以了。

网上有人说,直接用“error_report(0);” 来屏蔽错误,这是不可取的,因为这些函数本身有其具体功能,一般还非常重要。

还可以这样做,即利用输出缓存让header()这类函数函数前面的输出先输出到缓存中,在这些函数之后在输出到客户端。这样也可以解决该问题,具体是这样的:

1. 在页面顶部的php标签中加入ob_start();

2. 在返回的信息下面加入ob_end_flush();

如:

<?php ob_start(); ?>

… HTML codes …
<?php
… PHP codes …
header (“Location: ….”);
ob_end_flush();
?>

如果你是在Wordpress中安装某插件后遇到这种情况,导致博客和后台都无法登录,则可以这样做:在wp-content/plugins/目录下,找到该插件的文件夹并删除

如果这样还不能解决问题,就找到主题目录下的header.php文件,把该插件写入的东西删掉。

3. 另外,也可能在编辑某一文件后出现该问题,这是编辑文件时使用的编码格式不对,Wordpress使用的是utf-8编码,所以我们在编辑 时也需要使用utf-8编码的编辑器。不要用记事本哦,推荐使用UtraEdit、Notepad++或者把Dreamweaver的编码改为utf-8。

在线留言

您的昵称 *

您的邮箱 *

您的网站

评论内容

在线客服

点击这里给我发消息 定制开发 购买主题 售前咨询 售后服务
返回顶部